Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Interface TaskPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TaskPackageImpl

    public interface TaskPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `TaskFactory`

Nested Class Summary
`static interface` | `TaskPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DATE_OF_BIRTH` The meta object id for the 'Date Of Birth' data type.
`static TaskPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `GENDER` The meta object id for the '`Gender`' enum.
`static int` | `NATIONALITY` The meta object id for the '`Nationality`' enum.
`static int` | `TASK` The meta object id for the '`Task`' class.
`static int` | `TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP` The operation id for the 'Has Name' operation.
`static int` | `TASK__ASSIGNEE` The feature id for the 'Assignee' reference.
`static int` | `TASK__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `TASK__DONE` The feature id for the 'Done' attribute.
`static int` | `TASK__DUE_DATE` The feature id for the 'Due Date' attribute.
`static int` | `TASK__NAME` The feature id for the 'Name' attribute.
`static int` | `TASK__SUB_TASKS` The feature id for the 'Sub Tasks' containment reference list.
`static int` | `TASK_FEATURE_COUNT` The number of structural features of the 'Task' class.
`static int` | `TASK_OPERATION_COUNT` The number of operations of the 'Task' class.
`static int` | `USER` The meta object id for the '`User`' class.
`static int` | `USER__ACTIVE` The feature id for the 'Active' attribute.
`static int` | `USER__DATE_OF_BIRTH` The feature id for the 'Date Of Birth' attribute.
`static int` | `USER__EMAIL` The feature id for the 'Email' attribute.
`static int` | `USER__FIRST_NAME` The feature id for the 'First Name' attribute.
`static int` | `USER__GENDER` The feature id for the 'Gender' attribute.
`static int` | `USER__HEIGTH` The feature id for the 'Heigth' attribute.
`static int` | `USER__LAST_NAME` The feature id for the 'Last Name' attribute.
`static int` | `USER__NATIONALITY` The feature id for the 'Nationality' attribute.
`static int` | `USER__TASKS` The feature id for the 'Tasks' reference list.
`static int` | `USER__TIME_OF_REGISTRATION` The feature id for the 'Time Of Registration' attribute.
`static int` | `USER__WEIGHT` The feature id for the 'Weight' attribute.
`static int` | `USER_FEATURE_COUNT` The number of structural features of the 'User' class.
`static int` | `USER_GROUP` The meta object id for the '`User Group`' class.
`static int` | `USER_GROUP__NAME` The feature id for the 'Name' attribute.
`static int` | `USER_GROUP__USERS` The feature id for the 'Users' containment reference list.
`static int` | `USER_GROUP_FEATURE_COUNT` The number of structural features of the 'User Group' class.
`static int` | `USER_GROUP_OPERATION_COUNT` The number of operations of the 'User Group' class.
`static int` | `USER_OPERATION_COUNT` The number of operations of the 'User' class.

Method Summary
`org.eclipse.emf.ecore.EDataType` | `getDateOfBirth()` Returns the meta object for data type '`Date Of Birth`'.
`org.eclipse.emf.ecore.EEnum` | `getGender()` Returns the meta object for enum '`Gender`'.
`org.eclipse.emf.ecore.EEnum` | `getNationality()` Returns the meta object for enum '`Nationality`'.
`org.eclipse.emf.ecore.EOperation` | `getTask__HasName__DiagnosticChain_Map()` Returns the meta object for the ' `Has Name`' operation.
`org.eclipse.emf.ecore.EReference` | `getTask_Assignee()` Returns the meta object for the reference '`Assignee`'.
`org.eclipse.emf.ecore.EAttribute` | `getTask_Description()` Returns the meta object for the attribute ' `Description`'.
`org.eclipse.emf.ecore.EAttribute` | `getTask_Done()` Returns the meta object for the attribute '`Done`'.
`org.eclipse.emf.ecore.EAttribute` | `getTask_DueDate()` Returns the meta object for the attribute '`Due Date`'.
`org.eclipse.emf.ecore.EAttribute` | `getTask_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getTask_SubTasks()` Returns the meta object for the containment reference list ' `Sub Tasks`'.
`org.eclipse.emf.ecore.EClass` | `getTask()` Returns the meta object for class '`Task`'.
`TaskFactory` | `getTaskFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Active()` Returns the meta object for the attribute '`Active`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_DateOfBirth()` Returns the meta object for the attribute ' `Date Of Birth`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Email()` Returns the meta object for the attribute '`Email`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_FirstName()` Returns the meta object for the attribute '`First Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Gender()` Returns the meta object for the attribute '`Gender`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Heigth()` Returns the meta object for the attribute '`Heigth`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_LastName()` Returns the meta object for the attribute '`Last Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Nationality()` Returns the meta object for the attribute ' `Nationality`'.
`org.eclipse.emf.ecore.EReference` | `getUser_Tasks()` Returns the meta object for the reference list '`Tasks`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_TimeOfRegistration()` Returns the meta object for the attribute ' `Time Of Registration`'.
`org.eclipse.emf.ecore.EAttribute` | `getUser_Weight()` Returns the meta object for the attribute '`Weight`'.
`org.eclipse.emf.ecore.EClass` | `getUser()` Returns the meta object for class '`User`'.
`org.eclipse.emf.ecore.EAttribute` | `getUserGroup_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getUserGroup_Users()` Returns the meta object for the containment reference list ' `Users`'.
`org.eclipse.emf.ecore.EClass` | `getUserGroup()` Returns the meta object for class '`User Group`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TaskPackage eINSTANCE

  The singleton instance of the package.

### TASK

    static final int TASK

  The meta object id for the '`Task`' class.

  See Also:
    `TaskImpl`, `TaskPackageImpl.getTask()`, Constant Field Values

### TASK__NAME

    static final int TASK__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TASK__DESCRIPTION

    static final int TASK__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TASK__ASSIGNEE

    static final int TASK__ASSIGNEE

  The feature id for the 'Assignee' reference.

  See Also:
    Constant Field Values

### TASK__DUE_DATE

    static final int TASK__DUE_DATE

  The feature id for the 'Due Date' attribute.

  See Also:
    Constant Field Values

### TASK__SUB_TASKS

    static final int TASK__SUB_TASKS

  The feature id for the 'Sub Tasks' containment reference list.

  See Also:
    Constant Field Values

### TASK__DONE

    static final int TASK__DONE

  The feature id for the 'Done' attribute.

  See Also:
    Constant Field Values

### TASK_FEATURE_COUNT

    static final int TASK_FEATURE_COUNT

  The number of structural features of the 'Task' class.

  See Also:
    Constant Field Values

### TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP

    static final int TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP

  The operation id for the 'Has Name' operation.

  See Also:
    Constant Field Values

### TASK_OPERATION_COUNT

    static final int TASK_OPERATION_COUNT

  The number of operations of the 'Task' class.

  See Also:
    Constant Field Values

### USER

    static final int USER

  The meta object id for the '`User`' class.

  See Also:
    `UserImpl`, `TaskPackageImpl.getUser()`, Constant Field Values

### USER__FIRST_NAME

    static final int USER__FIRST_NAME

  The feature id for the 'First Name' attribute.

  See Also:
    Constant Field Values

### USER__LAST_NAME

    static final int USER__LAST_NAME

  The feature id for the 'Last Name' attribute.

  See Also:
    Constant Field Values

### USER__GENDER

    static final int USER__GENDER

  The feature id for the 'Gender' attribute.

  See Also:
    Constant Field Values

### USER__ACTIVE

    static final int USER__ACTIVE

  The feature id for the 'Active' attribute.

  See Also:
    Constant Field Values

### USER__TIME_OF_REGISTRATION

    static final int USER__TIME_OF_REGISTRATION

  The feature id for the 'Time Of Registration' attribute.

  See Also:
    Constant Field Values

### USER__WEIGHT

    static final int USER__WEIGHT

  The feature id for the 'Weight' attribute.

  See Also:
    Constant Field Values

### USER__HEIGTH

    static final int USER__HEIGTH

  The feature id for the 'Heigth' attribute.

  See Also:
    Constant Field Values

### USER__NATIONALITY

    static final int USER__NATIONALITY

  The feature id for the 'Nationality' attribute.

  See Also:
    Constant Field Values

### USER__DATE_OF_BIRTH

    static final int USER__DATE_OF_BIRTH

  The feature id for the 'Date Of Birth' attribute.

  See Also:
    Constant Field Values

### USER__EMAIL

    static final int USER__EMAIL

  The feature id for the 'Email' attribute.

  See Also:
    Constant Field Values

### USER__TASKS

    static final int USER__TASKS

  The feature id for the 'Tasks' reference list.

  See Also:
    Constant Field Values

### USER_FEATURE_COUNT

    static final int USER_FEATURE_COUNT

  The number of structural features of the 'User' class.

  See Also:
    Constant Field Values

### USER_OPERATION_COUNT

    static final int USER_OPERATION_COUNT

  The number of operations of the 'User' class.

  See Also:
    Constant Field Values

### USER_GROUP

    static final int USER_GROUP

  The meta object id for the '`User Group`' class.

  See Also:
    `UserGroupImpl`, `TaskPackageImpl.getUserGroup()`, Constant Field Values

### USER_GROUP__NAME

    static final int USER_GROUP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### USER_GROUP__USERS

    static final int USER_GROUP__USERS

  The feature id for the 'Users' containment reference list.

  See Also:
    Constant Field Values

### USER_GROUP_FEATURE_COUNT

    static final int USER_GROUP_FEATURE_COUNT

  The number of structural features of the 'User Group' class.

  See Also:
    Constant Field Values

### USER_GROUP_OPERATION_COUNT

    static final int USER_GROUP_OPERATION_COUNT

  The number of operations of the 'User Group' class.

  See Also:
    Constant Field Values

### GENDER

    static final int GENDER

  The meta object id for the '`Gender`' enum.

  See Also:
    `Gender`, `TaskPackageImpl.getGender()`, Constant Field Values

### NATIONALITY

    static final int NATIONALITY

  The meta object id for the '`Nationality`' enum.

  See Also:
    `Nationality`, `TaskPackageImpl.getNationality()`, Constant Field Values

### DATE_OF_BIRTH

    static final int DATE_OF_BIRTH

  The meta object id for the 'Date Of Birth' data type.

  See Also:
    `XMLGregorianCalendar`, `TaskPackageImpl.getDateOfBirth()`, Constant Field Values

Method Detail

### getTask

    org.eclipse.emf.ecore.EClass getTask()

  Returns the meta object for class '`Task`'.

  Returns:
    the meta object for class 'Task'.
  See Also:
    `Task`

### getTask_Name

    org.eclipse.emf.ecore.EAttribute getTask_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Task.getName()`, `getTask()`

### getTask_Description

    org.eclipse.emf.ecore.EAttribute getTask_Description()

  Returns the meta object for the attribute ' `Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Task.getDescription()`, `getTask()`

### getTask_Assignee

    org.eclipse.emf.ecore.EReference getTask_Assignee()

  Returns the meta object for the reference '`Assignee`'.

  Returns:
    the meta object for the reference 'Assignee'.
  See Also:
    `Task.getAssignee()`, `getTask()`

### getTask_DueDate

    org.eclipse.emf.ecore.EAttribute getTask_DueDate()

  Returns the meta object for the attribute '`Due Date`'.

  Returns:
    the meta object for the attribute 'Due Date'.
  See Also:
    `Task.getDueDate()`, `getTask()`

### getTask_SubTasks

    org.eclipse.emf.ecore.EReference getTask_SubTasks()

  Returns the meta object for the containment reference list ' `Sub Tasks`'.

  Returns:
    the meta object for the containment reference list 'Sub Tasks'.
  See Also:
    `Task.getSubTasks()`, `getTask()`

### getTask_Done

    org.eclipse.emf.ecore.EAttribute getTask_Done()

  Returns the meta object for the attribute '`Done`'.

  Returns:
    the meta object for the attribute 'Done'.
  See Also:
    `Task.isDone()`, `getTask()`

### getTask__HasName__DiagnosticChain_Map

    org.eclipse.emf.ecore.EOperation getTask__HasName__DiagnosticChain_Map()

  Returns the meta object for the ' `Has Name`' operation.

  Returns:
    the meta object for the 'Has Name' operation.
  See Also:
    `Task.hasName(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### getUser

    org.eclipse.emf.ecore.EClass getUser()

  Returns the meta object for class '`User`'.

  Returns:
    the meta object for class 'User'.
  See Also:
    `User`

### getUser_FirstName

    org.eclipse.emf.ecore.EAttribute getUser_FirstName()

  Returns the meta object for the attribute '`First Name`'.

  Returns:
    the meta object for the attribute 'First Name'.
  See Also:
    `User.getFirstName()`, `getUser()`

### getUser_LastName

    org.eclipse.emf.ecore.EAttribute getUser_LastName()

  Returns the meta object for the attribute '`Last Name`'.

  Returns:
    the meta object for the attribute 'Last Name'.
  See Also:
    `User.getLastName()`, `getUser()`

### getUser_Gender

    org.eclipse.emf.ecore.EAttribute getUser_Gender()

  Returns the meta object for the attribute '`Gender`'.

  Returns:
    the meta object for the attribute 'Gender'.
  See Also:
    `User.getGender()`, `getUser()`

### getUser_Active

    org.eclipse.emf.ecore.EAttribute getUser_Active()

  Returns the meta object for the attribute '`Active`'.

  Returns:
    the meta object for the attribute 'Active'.
  See Also:
    `User.isActive()`, `getUser()`

### getUser_TimeOfRegistration

    org.eclipse.emf.ecore.EAttribute getUser_TimeOfRegistration()

  Returns the meta object for the attribute ' `Time Of Registration`'.

  Returns:
    the meta object for the attribute 'Time Of Registration'.
  See Also:
    `User.getTimeOfRegistration()`, `getUser()`

### getUser_Weight

    org.eclipse.emf.ecore.EAttribute getUser_Weight()

  Returns the meta object for the attribute '`Weight`'.

  Returns:
    the meta object for the attribute 'Weight'.
  See Also:
    `User.getWeight()`, `getUser()`

### getUser_Heigth

    org.eclipse.emf.ecore.EAttribute getUser_Heigth()

  Returns the meta object for the attribute '`Heigth`'.

  Returns:
    the meta object for the attribute 'Heigth'.
  See Also:
    `User.getHeigth()`, `getUser()`

### getUser_Nationality

    org.eclipse.emf.ecore.EAttribute getUser_Nationality()

  Returns the meta object for the attribute ' `Nationality`'.

  Returns:
    the meta object for the attribute 'Nationality'.
  See Also:
    `User.getNationality()`, `getUser()`

### getUser_DateOfBirth

    org.eclipse.emf.ecore.EAttribute getUser_DateOfBirth()

  Returns the meta object for the attribute ' `Date Of Birth`'.

  Returns:
    the meta object for the attribute 'Date Of Birth'.
  See Also:
    `User.getDateOfBirth()`, `getUser()`

### getUser_Email

    org.eclipse.emf.ecore.EAttribute getUser_Email()

  Returns the meta object for the attribute '`Email`'.

  Returns:
    the meta object for the attribute 'Email'.
  See Also:
    `User.getEmail()`, `getUser()`

### getUser_Tasks

    org.eclipse.emf.ecore.EReference getUser_Tasks()

  Returns the meta object for the reference list '`Tasks`'.

  Returns:
    the meta object for the reference list 'Tasks'.
  See Also:
    `User.getTasks()`, `getUser()`

### getUserGroup

    org.eclipse.emf.ecore.EClass getUserGroup()

  Returns the meta object for class '`User Group`'.

  Returns:
    the meta object for class 'User Group'.
  See Also:
    `UserGroup`

### getUserGroup_Name

    org.eclipse.emf.ecore.EAttribute getUserGroup_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `UserGroup.getName()`, `getUserGroup()`

### getUserGroup_Users

    org.eclipse.emf.ecore.EReference getUserGroup_Users()

  Returns the meta object for the containment reference list ' `Users`'.

  Returns:
    the meta object for the containment reference list 'Users'.
  See Also:
    `UserGroup.getUsers()`, `getUserGroup()`

### getGender

    org.eclipse.emf.ecore.EEnum getGender()

  Returns the meta object for enum '`Gender`'.

  Returns:
    the meta object for enum 'Gender'.
  See Also:
    `Gender`

### getNationality

    org.eclipse.emf.ecore.EEnum getNationality()

  Returns the meta object for enum '`Nationality`'.

  Returns:
    the meta object for enum 'Nationality'.
  See Also:
    `Nationality`

### getDateOfBirth

    org.eclipse.emf.ecore.EDataType getDateOfBirth()

  Returns the meta object for data type '`Date Of Birth`'.

  Returns:
    the meta object for data type 'Date Of Birth'.
  See Also:
    `XMLGregorianCalendar`

### getTaskFactory

    TaskFactory getTaskFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.